% Generated by roxygen2 (4.1.1): do not edit by hand
% Please edit documentation in R/functions.R, R/generics.R
\docType{methods}
\name{least}
\alias{least}
\alias{least,Column-method}
\title{least}
\usage{
\S4method{least}{Column}(x, ...)

least(x, ...)
}
\arguments{
\item{x}{Column to compute on}

\item{...}{other columns}
}
\description{
Returns the least value of the list of column names, skipping null values.
This function takes at least 2 parameters. It will return null if all parameters are null.
}
\note{
least since 1.5.0
}
\examples{
\dontrun{least(df$c, df$d)}
}
\seealso{
Other normal_funcs: \code{\link{Column-class}},
  \code{\link{column}}, \code{\link{column}},
  \code{\link{column}},
  \code{\link{column,character-method}},
  \code{\link{column,jobj-method}}; \code{\link{abs}},
  \code{\link{abs,Column-method}};
  \code{\link{bitwiseNOT}}, \code{\link{bitwiseNOT}},
  \code{\link{bitwiseNOT,Column-method}};
  \code{\link{coalesce}}, \code{\link{coalesce}},
  \code{\link{coalesce}},
  \code{\link{coalesce,Column-method}},
  \code{\link{coalesce,SparkDataFrame-method}};
  \code{\link{expr}}, \code{\link{expr}},
  \code{\link{expr,character-method}};
  \code{\link{greatest}}, \code{\link{greatest}},
  \code{\link{greatest,Column-method}};
  \code{\link{ifelse}}, \code{\link{ifelse,Column-method}};
  \code{\link{is.nan}}, \code{\link{is.nan,Column-method}},
  \code{\link{isnan}}, \code{\link{isnan}},
  \code{\link{isnan,Column-method}}; \code{\link{lit}},
  \code{\link{lit}}, \code{\link{lit,ANY-method}};
  \code{\link{nanvl}}, \code{\link{nanvl}},
  \code{\link{nanvl,Column-method}}; \code{\link{negate}},
  \code{\link{negate}}, \code{\link{negate,Column-method}};
  \code{\link{randn}}, \code{\link{randn}},
  \code{\link{randn}}, \code{\link{randn,missing-method}},
  \code{\link{randn,numeric-method}}; \code{\link{rand}},
  \code{\link{rand}}, \code{\link{rand}},
  \code{\link{rand,missing-method}},
  \code{\link{rand,numeric-method}}; \code{\link{struct}},
  \code{\link{struct}},
  \code{\link{struct,characterOrColumn-method}};
  \code{\link{when}}, \code{\link{when}},
  \code{\link{when,Column-method}}
}

