% Generated by roxygen2 (4.1.1): do not edit by hand
% Please edit documentation in R/WindowSpec.R, R/generics.R
\docType{methods}
\name{over}
\alias{over}
\alias{over,Column,WindowSpec-method}
\title{over}
\usage{
\S4method{over}{Column,WindowSpec}(x, window)

over(x, window)
}
\arguments{
\item{x}{a Column, usually one returned by window function(s).}

\item{window}{a WindowSpec object. Can be created by \code{windowPartitionBy} or
\code{windowOrderBy} and configured by other WindowSpec methods.}
}
\description{
Define a windowing column.
}
\note{
over since 2.0.0
}
\examples{
\dontrun{
  df <- createDataFrame(mtcars)

  # Partition by am (transmission) and order by hp (horsepower)
  ws <- orderBy(windowPartitionBy("am"), "hp")

  # Rank on hp within each partition
  out <- select(df, over(rank(), ws), df$hp, df$am)

  # Lag mpg values by 1 row on the partition-and-ordered table
  out <- select(df, over(lead(df$mpg), ws), df$mpg, df$hp, df$am)
}
}
\seealso{
Other colum_func: \code{\link{alias}},
  \code{\link{alias,Column-method}}; \code{\link{between}},
  \code{\link{between}},
  \code{\link{between,Column-method}}; \code{\link{cast}},
  \code{\link{cast}}, \code{\link{cast,Column-method}};
  \code{\link{endsWith}}, \code{\link{endsWith}},
  \code{\link{endsWith,Column-method}};
  \code{\link{otherwise}}, \code{\link{otherwise}},
  \code{\link{otherwise,Column-method}};
  \code{\link{startsWith}}, \code{\link{startsWith}},
  \code{\link{startsWith,Column-method}};
  \code{\link{substr}}, \code{\link{substr,Column-method}}
}

