% Generated by roxygen2 (4.1.1): do not edit by hand
% Please edit documentation in R/functions.R, R/generics.R
\docType{methods}
\name{percent_rank}
\alias{percent_rank}
\alias{percent_rank,missing-method}
\title{percent_rank}
\usage{
\S4method{percent_rank}{missing}()

percent_rank(x = "missing")
}
\arguments{
\item{x}{empty. Should be used with no argument.}
}
\description{
Window function: returns the relative rank (i.e. percentile) of rows within a window partition.
}
\details{
This is computed by:

(rank of row in its partition - 1) / (number of rows in the partition - 1)

This is equivalent to the PERCENT_RANK function in SQL.
}
\note{
percent_rank since 1.6.0
}
\examples{
\dontrun{
  df <- createDataFrame(mtcars)
  ws <- orderBy(windowPartitionBy("am"), "hp")
  out <- select(df, over(percent_rank(), ws), df$hp, df$am)
}
}
\seealso{
Other window_funcs: \code{\link{cume_dist}},
  \code{\link{cume_dist}},
  \code{\link{cume_dist,missing-method}};
  \code{\link{dense_rank}}, \code{\link{dense_rank}},
  \code{\link{dense_rank,missing-method}};
  \code{\link{lag}}, \code{\link{lag}},
  \code{\link{lag,characterOrColumn-method}};
  \code{\link{lead}}, \code{\link{lead}},
  \code{\link{lead,characterOrColumn,numeric-method}};
  \code{\link{ntile}}, \code{\link{ntile}},
  \code{\link{ntile,numeric-method}}; \code{\link{rank}},
  \code{\link{rank}}, \code{\link{rank}},
  \code{\link{rank,ANY-method}},
  \code{\link{rank,missing-method}};
  \code{\link{row_number}}, \code{\link{row_number}},
  \code{\link{row_number,missing-method}}
}

