% Generated by roxygen2 (4.1.1): do not edit by hand
% Please edit documentation in R/functions.R, R/generics.R
\docType{methods}
\name{rand}
\alias{rand}
\alias{rand,missing-method}
\alias{rand,numeric-method}
\title{rand}
\usage{
\S4method{rand}{missing}(seed)

\S4method{rand}{numeric}(seed)

rand(seed)
}
\arguments{
\item{seed}{a random seed. Can be missing.}
}
\description{
Generate a random column with independent and identically distributed (i.i.d.) samples
from U[0.0, 1.0].
}
\note{
rand since 1.5.0

rand(numeric) since 1.5.0
}
\examples{
\dontrun{rand()}
}
\seealso{
Other normal_funcs: \code{\link{Column-class}},
  \code{\link{column}}, \code{\link{column}},
  \code{\link{column}},
  \code{\link{column,character-method}},
  \code{\link{column,jobj-method}}; \code{\link{abs}},
  \code{\link{abs,Column-method}};
  \code{\link{bitwiseNOT}}, \code{\link{bitwiseNOT}},
  \code{\link{bitwiseNOT,Column-method}};
  \code{\link{coalesce}}, \code{\link{coalesce}},
  \code{\link{coalesce}},
  \code{\link{coalesce,Column-method}},
  \code{\link{coalesce,SparkDataFrame-method}};
  \code{\link{expr}}, \code{\link{expr}},
  \code{\link{expr,character-method}};
  \code{\link{greatest}}, \code{\link{greatest}},
  \code{\link{greatest,Column-method}};
  \code{\link{ifelse}}, \code{\link{ifelse,Column-method}};
  \code{\link{is.nan}}, \code{\link{is.nan,Column-method}},
  \code{\link{isnan}}, \code{\link{isnan}},
  \code{\link{isnan,Column-method}}; \code{\link{least}},
  \code{\link{least}}, \code{\link{least,Column-method}};
  \code{\link{lit}}, \code{\link{lit}},
  \code{\link{lit,ANY-method}}; \code{\link{nanvl}},
  \code{\link{nanvl}}, \code{\link{nanvl,Column-method}};
  \code{\link{negate}}, \code{\link{negate}},
  \code{\link{negate,Column-method}}; \code{\link{randn}},
  \code{\link{randn}}, \code{\link{randn}},
  \code{\link{randn,missing-method}},
  \code{\link{randn,numeric-method}}; \code{\link{struct}},
  \code{\link{struct}},
  \code{\link{struct,characterOrColumn-method}};
  \code{\link{when}}, \code{\link{when}},
  \code{\link{when,Column-method}}
}

