% Generated by roxygen2 (4.1.1): do not edit by hand
% Please edit documentation in R/functions.R, R/generics.R
\docType{methods}
\name{struct}
\alias{struct}
\alias{struct,characterOrColumn-method}
\title{struct}
\usage{
\S4method{struct}{characterOrColumn}(x, ...)

struct(x, ...)
}
\arguments{
\item{x}{a column to compute on.}

\item{...}{optional column(s) to be included.}
}
\description{
Creates a new struct column that composes multiple input columns.
}
\note{
struct since 1.6.0
}
\examples{
\dontrun{
struct(df$c, df$d)
struct("col1", "col2")
}
}
\seealso{
Other normal_funcs: \code{\link{Column-class}},
  \code{\link{column}}, \code{\link{column}},
  \code{\link{column}},
  \code{\link{column,character-method}},
  \code{\link{column,jobj-method}}; \code{\link{abs}},
  \code{\link{abs,Column-method}};
  \code{\link{bitwiseNOT}}, \code{\link{bitwiseNOT}},
  \code{\link{bitwiseNOT,Column-method}};
  \code{\link{coalesce}}, \code{\link{coalesce}},
  \code{\link{coalesce}},
  \code{\link{coalesce,Column-method}},
  \code{\link{coalesce,SparkDataFrame-method}};
  \code{\link{expr}}, \code{\link{expr}},
  \code{\link{expr,character-method}};
  \code{\link{greatest}}, \code{\link{greatest}},
  \code{\link{greatest,Column-method}};
  \code{\link{ifelse}}, \code{\link{ifelse,Column-method}};
  \code{\link{is.nan}}, \code{\link{is.nan,Column-method}},
  \code{\link{isnan}}, \code{\link{isnan}},
  \code{\link{isnan,Column-method}}; \code{\link{least}},
  \code{\link{least}}, \code{\link{least,Column-method}};
  \code{\link{lit}}, \code{\link{lit}},
  \code{\link{lit,ANY-method}}; \code{\link{nanvl}},
  \code{\link{nanvl}}, \code{\link{nanvl,Column-method}};
  \code{\link{negate}}, \code{\link{negate}},
  \code{\link{negate,Column-method}}; \code{\link{randn}},
  \code{\link{randn}}, \code{\link{randn}},
  \code{\link{randn,missing-method}},
  \code{\link{randn,numeric-method}}; \code{\link{rand}},
  \code{\link{rand}}, \code{\link{rand}},
  \code{\link{rand,missing-method}},
  \code{\link{rand,numeric-method}}; \code{\link{when}},
  \code{\link{when}}, \code{\link{when,Column-method}}
}

